PipeWire: pw_node_events Struct Reference

PipeWire 0.2.7

Data Fields
pw_node_events Struct Reference

Node events, listen to them with pw_node_add_listener. More...

## Data Fields
uint32_t | version
void(* | destroy )(void *data)
| the node is destroyed More...
void(* | free )(void *data)
| the node is about to be freed More...
void(* | initialized )(void *data)
| the node is initialized More...
void(* | port_added )(void *data, struct pw_port *port)
| a port was added More...
void(* | port_removed )(void *data, struct pw_port *port)
| a port was removed More...
void(* | info_changed )(void *data, struct pw_node_info *info)
| the node info changed More...
void(* | active_changed )(void *data, bool active)
| the node active state changed More...
void(* | enabled_changed )(void *data, bool enabled)
| the node enabled state changed More...
void(* | state_request )(void *data, enum pw_node_state state)
| a new state is requested on the node More...
void(* | state_changed )(void *data, enum pw_node_state old, enum pw_node_state state, const char *error)
| the state of the node changed More...
void(* | async_complete )(void *data, uint32_t seq, int res)
| an async operation completed on the node More...
void(* | event )(void *data, const struct spa_event *event)
| an event is emited More...
void(* | need_input )(void *data)
| the node wants input More...
void(* | have_output )(void *data)
| the node has output More...
void(* | reuse_buffer )(void *data, uint32_t port_id, uint32_t buffer_id)
| the node has a buffer to reuse More...

## Detailed Description

Node events, listen to them with pw_node_add_listener.

## Field Documentation

## ◆ active_changed

void(* pw_node_events::active_changed) (void *data, bool active)

the node active state changed

## ◆ async_complete

void(* pw_node_events::async_complete) (void *data, uint32_t seq, int res)

an async operation completed on the node

## ◆ destroy

void(* pw_node_events::destroy) (void *data)

the node is destroyed

## ◆ enabled_changed

void(* pw_node_events::enabled_changed) (void *data, bool enabled)

the node enabled state changed

## ◆ event

void(* pw_node_events::event) (void *data, const struct spa_event *event)

an event is emited

## ◆ free

void(* pw_node_events::free) (void *data)

the node is about to be freed

## ◆ have_output

void(* pw_node_events::have_output) (void *data)

the node has output

## ◆ info_changed

void(* pw_node_events::info_changed) (void *data, struct pw_node_info *info)

the node info changed

## ◆ initialized

void(* pw_node_events::initialized) (void *data)

the node is initialized

## ◆ need_input

void(* pw_node_events::need_input) (void *data)

the node wants input

## ◆ port_added

void(* pw_node_events::port_added) (void *data, struct pw_port *port)

a port was added

## ◆ port_removed

void(* pw_node_events::port_removed) (void *data, struct pw_port *port)

a port was removed

## ◆ reuse_buffer

void(* pw_node_events::reuse_buffer) (void *data, uint32_t port_id, uint32_t buffer_id)

the node has a buffer to reuse

## ◆ state_changed

void(* pw_node_events::state_changed) (void *data, enum pw_node_state old, enum pw_node_state state, const char *error)

the state of the node changed

## ◆ state_request

void(* pw_node_events::state_request) (void *data, enum pw_node_state state)

a new state is requested on the node

## ◆ version

uint32_t pw_node_events::version

The documentation for this struct was generated from the following file:

- node.h